JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.agentSetup.cancel('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
agentId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.agent_setup.cancel(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
agent_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)curl --request POST \
--url https://api.roark.ai/v1/agent/{agentId}/setup/{setupId}/cancel \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/agent/{agentId}/setup/{setupId}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/agent/{agentId}/setup/{setupId}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.roark.ai/v1/agent/{agentId}/setup/{setupId}/cancel")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/agent/{agentId}/setup/{setupId}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"layers": [
{
"layer": "CORE",
"status": "COVERED",
"summary": "<string>"
}
],
"question": {
"question": "<string>",
"options": [
"<string>"
],
"defaultOption": "<string>"
},
"activity": [
{
"kind": "STATUS",
"text": "<string>",
"createdAt": "<string>"
}
],
"industry": "HEALTHCARE",
"capabilities": [
"APPOINTMENT_BOOKING"
],
"runPlanId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"explore": {
"enabled": true,
"maxConversations": 123,
"maxConversationMinutes": 123,
"conversationsUsed": 123
},
"testDataNeeded": [
{
"label": "<string>",
"reason": "<string>",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"errorMessage": "<string>",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"layer": "CORE",
"kind": "FLOW",
"action": "CREATED",
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"capability": "APPOINTMENT_BOOKING",
"source": {
"type": "CATALOGUE",
"url": "<string>",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offsetMs": 123,
"quote": "<string>"
},
"reason": "<string>",
"origin": "DISCOVERED"
}
],
"createdAt": "<string>",
"completedAt": "<string>"
}
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "conflict",
"code": "resource_in_use",
"message": "The resource is in use and cannot be deleted"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Agent
Cancel a running setup
Stops a running setup. Flows and metrics it already created are kept; no run plan is made. Refused once setup has finished.
POST
/
v1
/
agent
/
{agentId}
/
setup
/
{setupId}
/
cancel
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.agentSetup.cancel('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
agentId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.agent_setup.cancel(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
agent_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)curl --request POST \
--url https://api.roark.ai/v1/agent/{agentId}/setup/{setupId}/cancel \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/agent/{agentId}/setup/{setupId}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/agent/{agentId}/setup/{setupId}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.roark.ai/v1/agent/{agentId}/setup/{setupId}/cancel")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/agent/{agentId}/setup/{setupId}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"layers": [
{
"layer": "CORE",
"status": "COVERED",
"summary": "<string>"
}
],
"question": {
"question": "<string>",
"options": [
"<string>"
],
"defaultOption": "<string>"
},
"activity": [
{
"kind": "STATUS",
"text": "<string>",
"createdAt": "<string>"
}
],
"industry": "HEALTHCARE",
"capabilities": [
"APPOINTMENT_BOOKING"
],
"runPlanId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"explore": {
"enabled": true,
"maxConversations": 123,
"maxConversationMinutes": 123,
"conversationsUsed": 123
},
"testDataNeeded": [
{
"label": "<string>",
"reason": "<string>",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"errorMessage": "<string>",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"layer": "CORE",
"kind": "FLOW",
"action": "CREATED",
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"capability": "APPOINTMENT_BOOKING",
"source": {
"type": "CATALOGUE",
"url": "<string>",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offsetMs": 123,
"quote": "<string>"
},
"reason": "<string>",
"origin": "DISCOVERED"
}
],
"createdAt": "<string>",
"completedAt": "<string>"
}
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "conflict",
"code": "resource_in_use",
"message": "The resource is in use and cannot be deleted"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}